Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020539
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-05-17 13:192012-05-30 11:14
ReporterxabiermerinoView Statuspublic 
Assigned Tojecharri 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbe3125c5fc37
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP10.2SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020539: Wrong behaviour selecting transactions in Match Statement window

DescriptionSee the video attached

If you select some transactions and then, you uncheck one, a few seconds later the rest of transactions are unchecked.

The application should keep the rest of transactions checked

When a checkbox is unchecked a request to the servlet is done and the getMatchedBankStatementLinesData takes long to be executed.
this is executed for each uncheck so it takes long to finish all the processes.
Steps To Reproduce- Check 4 transactions
- Uncheck 1 transaction
- Wait a few seconds
- Realize that the resto of transactions are unchecked again
TagsPerformance
Attached Files? file icon test-0000.mpeg [^] (214,778 bytes) 2012-05-17 13:19

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0020551 closeddmiguelez Long time to load Match Statement window 

-  Notes
(0048878)
hgbot (developer)
2012-05-23 09:35

Repository: erp/devel/pi
Changeset: be3125c5fc370f52edfce4207e76079aa50f3fa5
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed May 23 09:34:55 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/be3125c5fc370f52edfce4207e76079aa50f3fa5 [^]

Fixes issue 20539: Wrong behaviour selecting transactions in Match Statement window

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
---
(0048911)
hgbot (developer)
2012-05-24 16:53

Repository: erp/devel/pi
Changeset: 744f12f0a11c25588ec7a59b6a0d3f195eebd009
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Thu May 24 16:51:08 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/744f12f0a11c25588ec7a59b6a0d3f195eebd009 [^]

issue 20539,issue 20540.
I have added some change to the first correction.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
---
(0049188)
hudsonbot (developer)
2012-05-25 12:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049201)
hudsonbot (developer)
2012-05-25 12:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049463)
xabiermerino (reporter)
2012-05-30 11:14

verified with the new fixed added in the 20540

- Issue History
Date Modified Username Field Change
2012-05-17 13:19 xabiermerino New Issue
2012-05-17 13:19 xabiermerino Assigned To => mirurita
2012-05-17 13:19 xabiermerino File Added: test-0000.mpeg
2012-05-17 13:19 xabiermerino Modules => Core
2012-05-17 13:20 xabiermerino Issue Monitored: networkb
2012-05-18 14:07 egoitz Note Added: 0048765
2012-05-18 14:07 egoitz Description Updated View Revisions
2012-05-18 14:08 egoitz Note Deleted: 0048765
2012-05-18 14:09 egoitz Severity minor => major
2012-05-18 14:09 egoitz Tag Attached: Performance
2012-05-18 14:13 egoitz Issue cloned 0020551
2012-05-18 14:13 egoitz Relationship added related to 0020551
2012-05-18 14:14 egoitz Priority high => urgent
2012-05-21 16:50 mirurita Assigned To mirurita => jonalegriaesarte
2012-05-22 12:00 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2012-05-22 12:01 jonalegriaesarte Priority urgent => immediate
2012-05-23 09:35 hgbot Checkin
2012-05-23 09:35 hgbot Note Added: 0048878
2012-05-23 09:35 hgbot Status new => resolved
2012-05-23 09:35 hgbot Resolution open => fixed
2012-05-23 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/be3125c5fc370f52edfce4207e76079aa50f3fa5 [^]
2012-05-24 16:53 hgbot Checkin
2012-05-24 16:53 hgbot Note Added: 0048911
2012-05-25 12:13 hudsonbot Checkin
2012-05-25 12:13 hudsonbot Note Added: 0049188
2012-05-25 12:13 hudsonbot Checkin
2012-05-25 12:13 hudsonbot Note Added: 0049201
2012-05-30 11:14 xabiermerino Note Added: 0049463
2012-05-30 11:14 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker